Functions
IRQ Handler and Callbacks
Peripheral Driver » HAL Driver » SPI » Functions

IRQ Handler and Callbacks functions. More...

Collaboration diagram for IRQ Handler and Callbacks:

## Functions
void | hal_spi_irq_handler (spi_handle_t *p_spi)
| Handle SPI interrupt request. More...
void | hal_spi_tx_cplt_callback (spi_handle_t *p_spi)
| Tx Transfer completed callback. More...
void | hal_spi_rx_cplt_callback (spi_handle_t *p_spi)
| Rx Transfer completed callback. More...
void | hal_spi_tx_rx_cplt_callback (spi_handle_t *p_spi)
| Tx and Rx Transfer completed callback. More...
void | hal_spi_error_callback (spi_handle_t *p_spi)
| SPI error callback. More...
void | hal_spi_abort_cplt_callback (spi_handle_t *p_spi)
| SPI Abort Completed callback. More...
void | hal_spi_v2_irq_handler (spi_handle_t *p_spi)
| Handle SPI interrupt request. More...
void | hal_spi_v2_tx_cplt_callback (spi_handle_t *p_spi)
| Tx Transfer completed callback. More...
void | hal_spi_v2_rx_cplt_callback (spi_handle_t *p_spi)
| Rx Transfer completed callback. More...
void | hal_spi_v2_tx_rx_cplt_callback (spi_handle_t *p_spi)
| Tx and Rx Transfer completed callback. More...
void | hal_spi_v2_error_callback (spi_handle_t *p_spi)
| SPI error callback. More...
void | hal_spi_v2_abort_cplt_callback (spi_handle_t *p_spi)
| SPI Abort Completed callback. More...

## Detailed Description

IRQ Handler and Callbacks functions.

## Function Documentation

## ◆ hal_spi_abort_cplt_callback()

void hal_spi_abort_cplt_callback | ( | spi_handle_t * | p_spi | ) |

SPI Abort Completed callback.

Parameters

  [in] | p_spi | SPI handle.

## ◆ hal_spi_error_callback()

void hal_spi_error_callback | ( | spi_handle_t * | p_spi | ) |

SPI error callback.

Parameters

  [in] | p_spi | Pointer to an SPI handle which contains the configuration information for the specified SPI module.

## ◆ hal_spi_irq_handler()

void hal_spi_irq_handler | ( | spi_handle_t * | p_spi | ) |

Handle SPI interrupt request.

Parameters

  [in] | p_spi | Pointer to an SPI handle which contains the configuration information for the specified SPI module.

## ◆ hal_spi_rx_cplt_callback()

void hal_spi_rx_cplt_callback | ( | spi_handle_t * | p_spi | ) |

Rx Transfer completed callback.

Parameters

  [in] | p_spi | Pointer to an SPI handle which contains the configuration information for the specified SPI module.

## ◆ hal_spi_tx_cplt_callback()

void hal_spi_tx_cplt_callback | ( | spi_handle_t * | p_spi | ) |

Tx Transfer completed callback.

Parameters

  [in] | p_spi | Pointer to an SPI handle which contains the configuration information for the specified SPI module.

## ◆ hal_spi_tx_rx_cplt_callback()

void hal_spi_tx_rx_cplt_callback | ( | spi_handle_t * | p_spi | ) |

Tx and Rx Transfer completed callback.

Parameters

  [in] | p_spi | Pointer to an SPI handle which contains the configuration information for the specified SPI module.

## ◆ hal_spi_v2_abort_cplt_callback()

void hal_spi_v2_abort_cplt_callback | ( | spi_handle_t * | p_spi | ) |

SPI Abort Completed callback.

Parameters

  [in] | p_spi | SPI handle.

## ◆ hal_spi_v2_error_callback()

void hal_spi_v2_error_callback | ( | spi_handle_t * | p_spi | ) |

SPI error callback.

Parameters

  [in] | p_spi | Pointer to an SPI handle which contains the configuration information for the specified SPI module.

## ◆ hal_spi_v2_irq_handler()

void hal_spi_v2_irq_handler | ( | spi_handle_t * | p_spi | ) |

Handle SPI interrupt request.

Parameters

  [in] | p_spi | Pointer to an SPI handle which contains the configuration information for the specified SPI module.

## ◆ hal_spi_v2_rx_cplt_callback()

void hal_spi_v2_rx_cplt_callback | ( | spi_handle_t * | p_spi | ) |

Rx Transfer completed callback.

Parameters

  [in] | p_spi | Pointer to an SPI handle which contains the configuration information for the specified SPI module.

## ◆ hal_spi_v2_tx_cplt_callback()

void hal_spi_v2_tx_cplt_callback | ( | spi_handle_t * | p_spi | ) |

Tx Transfer completed callback.

Parameters

  [in] | p_spi | Pointer to an SPI handle which contains the configuration information for the specified SPI module.

## ◆ hal_spi_v2_tx_rx_cplt_callback()

void hal_spi_v2_tx_rx_cplt_callback | ( | spi_handle_t * | p_spi | ) |

Tx and Rx Transfer completed callback.

Parameters

  [in] | p_spi | Pointer to an SPI handle which contains the configuration information for the specified SPI module.